Package org.codehaus.groovy.runtime.dgmimpl

# Class NumberNumberDiv

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
org.codehaus.groovy.runtime.dgmimpl.NumberNumberDiv

All Implemented Interfaces:
  `MetaMember`, `Cloneable`

public final class NumberNumberDiv extends NumberNumberMetaMethod

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberNumberDiv()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Number`
  `div(Number left, Number right)`
  Divide two Numbers.
  `String`
  `getName()`
  Returns the name of this method.
  `Object`
  `invoke(Object object, Object[] arguments)`
  Invokes this method.

  ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod

  `getDeclaringClass, getModifiers, getReturnType`

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### NumberNumberDiv

    public NumberNumberDiv()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from class: `MetaMethod`
    Returns the name of this method.
    Specified by:
      `getName` in interface `MetaMember`
    Specified by:
      `getName` in class `MetaMethod`
    Returns:
      name of this method

  - ### invoke

    public Object invoke(Object object, Object[] arguments)
    Description copied from class: `MetaMethod`
    Invokes this method.
    Specified by:
      `invoke` in class `MetaMethod`
    Parameters:
      `object` - The object this method should be invoked on
      `arguments` - The arguments for the method if applicable
    Returns:
      The return value of the invocation

  - ### div

    public static Number div(Number left, Number right)
    Divide two Numbers. Note: Method name different from 'divide' to avoid collision with BigInteger method that has different semantics. We want a BigDecimal result rather than a BigInteger.
    Parameters:
      `left` - a Number
      `right` - another Number
    Returns:
      a Number resulting of the divide operation